// Code generated by mockery v2.9.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	metrics "gitlab.com/gitlab-org/incubation-engineering/apm/apm/internal/metrics"

	time "time"
)

// Store is an autogenerated mock type for the Store type
type Store struct {
	mock.Mock
}

// Query provides a mock function with given fields: projectId, environmentId, host, measurement, from, to
func (_m *Store) Query(projectId int64, environmentId int64, host string, measurement string, from time.Time, to time.Time) ([]metrics.Measurement, error) {
	ret := _m.Called(projectId, environmentId, host, measurement, from, to)

	var r0 []metrics.Measurement
	if rf, ok := ret.Get(0).(func(int64, int64, string, string, time.Time, time.Time) []metrics.Measurement); ok {
		r0 = rf(projectId, environmentId, host, measurement, from, to)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]metrics.Measurement)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(int64, int64, string, string, time.Time, time.Time) error); ok {
		r1 = rf(projectId, environmentId, host, measurement, from, to)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Save provides a mock function with given fields: _a0
func (_m *Store) Save(_a0 []metrics.Measurement) error {
	ret := _m.Called(_a0)

	var r0 error
	if rf, ok := ret.Get(0).(func([]metrics.Measurement) error); ok {
		r0 = rf(_a0)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
